Bug 10458 - wbinfo -i fails with one-way trust
wbinfo -i fails with one-way trust
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 12:39 UTC by Gregor Beck (550 Unknown user)
Modified: 2014-03-25 09:33 UTC (History)
2 users (show)

See Also:


Attachments
Patches for master (12.41 KB, patch)
2014-02-20 17:11 UTC, Stefan Metzmacher
no flags Details
Patches for master (2.81 KB, patch)
2014-02-20 17:12 UTC, Stefan Metzmacher
asn: review+
Details
Draft v4-1-test patches (4.07 KB, patch)
2014-02-20 17:12 UTC, Stefan Metzmacher
no flags Details
Draft v4-0-test patches (4.07 KB, patch)
2014-02-20 17:13 UTC, Stefan Metzmacher
no flags Details
Patches for v4-1-test (4.30 KB, patch)
2014-02-22 02:24 UTC, Stefan Metzmacher
asn: review+
Details
Patches for v4-0-test (4.30 KB, patch)
2014-02-22 02:24 UTC, Stefan Metzmacher
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Beck (550 Unknown user) 2014-02-20 12:39:26 UTC
wbinfo -i DOM\\user
for a user from a trusted domain DOM causes winbindd to try a lsa_LookupSids call directly to the DOM AD
Comment 1 Stefan Metzmacher 2014-02-20 17:11:25 UTC
Created attachment 9701 [details]
Patches for master
Comment 2 Stefan Metzmacher 2014-02-20 17:12:09 UTC
Created attachment 9702 [details]
Patches for master
Comment 3 Stefan Metzmacher 2014-02-20 17:12:41 UTC
Created attachment 9703 [details]
Draft v4-1-test patches
Comment 4 Stefan Metzmacher 2014-02-20 17:13:06 UTC
Created attachment 9704 [details]
Draft v4-0-test patches
Comment 5 Stefan Metzmacher 2014-02-22 02:24:00 UTC
Created attachment 9709 [details]
Patches for v4-1-test
Comment 6 Stefan Metzmacher 2014-02-22 02:24:33 UTC
Created attachment 9710 [details]
Patches for v4-0-test
Comment 7 Andreas Schneider 2014-02-24 13:15:52 UTC
Karolin, please add the patches to the relevant branches. Thanks!
Comment 8 Karolin Seeger 2014-03-10 15:34:21 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 9 Karolin Seeger 2014-03-25 09:33:34 UTC
(In reply to comment #8)
> Pushed to autobuild-v4-1-test and autobuild-v4-0-test.

Pushed to v4-0-test and v4-1-test.
Closing out bug report.

Thanks!